Bug 116505 - Xircom PCMCIA Ethernet Cards not Supported
Xircom PCMCIA Ethernet Cards not Supported
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2004-02-21 19:08 EST by Wayne Frazee
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-26 17:35:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wayne Frazee 2004-02-21 19:08:14 EST
Description of problem:
 Xircom® CreditCard Ethernet II Adapter not supported.

Version-Release number of selected component (if applicable):
Not Applicable.

How reproducible:
Attempt to use Xircom PCMCIA card parts:
CE2, PS-CE2-10,CE3B-100BTX

No support.  Unable to administrate via any network functions.

Actual results:
Error upon property assignment or attempts to initiate hardware.

Expected results:
Expected recognition of card, loading of proper drivers, assignment of
network properties and addresses.
Comment 2 Bill Nottingham 2004-02-23 18:24:58 EST
What's the specific error?
Comment 3 Wayne Frazee 2004-02-24 03:06:32 EST
Any attempt to apply network settings to the adapter using the pcmcia 
driver that kudzu selects for the card causes the redhat-network-
config to terminate.

Further, attempt to make the adapter active lights the green power 
light but zero activity light indications before the text comes back 
about an error activating this device.

This hardware is known good, tested working on a Windows 2000 
Professional configured laptop as of 13:00 today.  Will recreate 
issue, post specific adapter message.
Comment 4 Wayne Frazee 2004-02-26 17:37:21 EST
Appears fixed on FC2-T1.  Further Testing with updated platform
exhibits normal operation.  Tests with FC1 still show bugs of type
listed above.

Will continue to monitor Xircom device performance over time in the
course of routine re-configuration and update as needed.
Comment 5 Darin May 2004-03-12 05:33:29 EST
The workaround of FC1 is to execute "service pcmcia restart" after
boot,  then config the ethernet interface, reboot.

On each subsequent reboot the service must be restarted, but at least
you have a working interface.  

Discussions around the web point to a race condition between the
pcmcia and network services.

Note You need to log in before you can comment on or make changes to this bug.